Bug 18114

Summary: XslCompiledTransform throws XsltException when executing the msxsl:node-set function on a node set
Product: [Mono] Class Libraries Reporter: daspits
Component: System.XMLAssignee: Bugzilla <bugzilla>
Status: RESOLVED FIXED    
Severity: normal CC: eb1, lexas, mono-bugs+mono
Priority: ---    
Version: 2.10.x   
Target Milestone: Untriaged   
Hardware: PC   
OS: Linux   
Tags: Is this bug a regression?: ---
Last known good build:
Attachments: Patch file

Description daspits 2014-03-02 22:29:33 UTC
Created attachment 6192 [details]
Patch file

The "XslCompiledTransform" class throws an "XsltException" when executing the "msxsl:node-set" function on an input that is already a node set. This behavior is inconsistent with the Microsoft's .NET class library, which simply passes through the node set instead of throwing an exception. The "msxsl:node-set" function also throws the same exception with an empty string input.

I have attached a possible fix.
Comment 1 eb1 2014-03-17 11:25:44 UTC
Suggested fix in PR #961.
Comment 2 Alexis Christoforides 2014-04-28 18:21:40 UTC
The fix pull request was merged to master, commit
2d2d90eeb291ad41f5e0ddadfbe63f1677ca1f48.